Index: tags/libIGCM_v2.3/AA_monitoring
===================================================================
--- tags/libIGCM_v2.3/AA_monitoring	(revision 1020)
+++ tags/libIGCM_v2.3/AA_monitoring	(revision 1025)
@@ -186,4 +186,6 @@
   if [[ -d ${CARD_DIR}/POST && -f ${CARD_DIR}/POST/monitoring01_${compname}.cfg ]] ; then
     PATH_monitoring_file=${CARD_DIR}/POST/monitoring01_${compname}.cfg
+  elif [[ -d ${CARD_DIR}/POST && -f ${CARD_DIR}/POST/${monitoring_file} ]] ; then
+    PATH_monitoring_file=${CARD_DIR}/POST/${monitoring_file}
   elif [ -f ${FER_ATLAS}/${monitoring_file} ] ; then
     PATH_monitoring_file=${FER_ATLAS}/${monitoring_file}
Index: tags/libIGCM_v2.3/libIGCM_check/libIGCM_check.ksh
===================================================================
--- tags/libIGCM_v2.3/libIGCM_check/libIGCM_check.ksh	(revision 1020)
+++ tags/libIGCM_v2.3/libIGCM_check/libIGCM_check.ksh	(revision 1025)
@@ -2,9 +2,9 @@
 
 #**************************************************************
-# Author: Sebastien Denvil, Martial Mancip
-# Contact: Sebastien.Denvil__at__ipsl.jussieu.fr Martial.Mancip__at__ipsl.jussieu.fr
-# $Revision:: 939                                      $ Revision of last commit
-# $Author:: sdipsl                                     $ Author of last commit
-# $Date:: 2013-08-23 11:38:24 +0200 (Fri, 23 Aug 2013) $ Date of last commit
+# Author: Sonia Labetoulle, SÃ©bastien Denvil
+# Contact: Sonia.Labetoulle__at__ipsl.jussieu.fr Sebastien.Denvil_at__ipsl.jussieu.fr
+# $Revision::                                          $ Revision of last commit
+# $Author::                                            $ Author of last commit
+# $Date::                                              $ Date of last commit
 # IPSL (2006)
 #  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
@@ -12,8 +12,11 @@
 #**************************************************************
 
-#===================================
+#D-#==================================================
+#D-function IGCM_check_CommonDef
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CommonDef
 {
-
   IGCM_debug_PushStack "IGCM_check_CommonDef" $@
 
@@ -60,5 +63,5 @@
   set -A JobType_list "${RebuildJob}" "pack_output" "pack_restart" "pack_debug"
 
-  for JobType in ${JobType_list[*]} ; do 
+  for JobType in ${JobType_list[*]} ; do
     typeset    name1="${JobType}_String"
     typeset    name2="${JobType}_Field"
@@ -84,11 +87,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CommonDef"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_ChangeUsr
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_ChangeUsr
 {
-
   IGCM_debug_PushStack "IGCM_check_ChangeUsr" $@
 
@@ -100,13 +105,13 @@
 
   IGCM_debug_PopStack "IGCM_check_ChangeUsr"
-
-}
-
-
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_SearchCatalog
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_SearchCatalog
 {
-
   IGCM_debug_PushStack "IGCM_check_SearchCatalog" $@
 
@@ -213,11 +218,13 @@
 
   IGCM_debug_PopStack "IGCM_check_SearchCatalog"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintHeader
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintHeader
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintHeader" $@
 
@@ -280,11 +287,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintHeader"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintJob
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintJob
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintJob" $@
 
@@ -293,5 +302,5 @@
   #Â Print rebuild and pack jobs
   #Â ---------------------------
-  for JobType in ${JobType_list[*]} ; do 
+  for JobType in ${JobType_list[*]} ; do
     eval Date=\${${JobType}_Date[${ind}]}
     eval Status=\${${JobType}_Status[${ind}]}
@@ -327,11 +336,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintJob"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintFooter
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintFooter
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintFooter" $@
 
@@ -340,11 +351,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintFooter"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckPendingRebuild
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckPendingRebuild
 {
-
   IGCM_debug_PushStack "IGCM_check_PendingRebuild" $@
 
@@ -364,11 +377,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PendingRebuild"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckRebPackJobs
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckRebPackJobs
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckRebPackJobs" $@
 
@@ -432,11 +447,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckRebPackJobs"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckMonitoring
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckMonitoring
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckMonitoring" $@
 
@@ -452,11 +469,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckMonitoring"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckAtlas
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckAtlas
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckAtlas" $@
 
@@ -479,6 +498,3 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckAtlas"
-
-}
-
-#===================================
+}
Index: tags/libIGCM_v2.3/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- tags/libIGCM_v2.3/libIGCM_comp/libIGCM_comp.ksh	(revision 1020)
+++ tags/libIGCM_v2.3/libIGCM_comp/libIGCM_comp.ksh	(revision 1025)
@@ -98,5 +98,5 @@
 
     # Define BUFFERED Dirs
-    if [ ! ${config_Post_PackFrequency} = NONE ] ; then
+    if ( [ ! ${config_Post_PackFrequency} = NONE ] || [ X${config_UserChoices_SpaceName} = XTEST ] ) ; then
       eval R_BUF_${comp}=${R_BUFR}/${comp}
       eval IGCM_sys_Mkdir \${R_BUF_${comp}}