Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 1027)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 1028)
@@ -17,7 +17,5 @@
 # Check that everything went well during seasonal average production
 # Display a short report
-# Launch what's missing
-# For use during a run (not on the end : PeriodState=Completed), it will complete
-# all TS to last PeriodDateEnd value, give by run.card->Configuration->OldPrefix string.
+# Launch what's missing when a simulation has been completed PeriodState=Completed
 
 #D- Path to libIGCM
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1027)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1028)
@@ -19,5 +19,5 @@
 # Launch what's missing
 # For use during a run (not on the end : PeriodState=Completed), it will complete
-# all TS to last PeriodDateEnd value, give by run.card->Configuration->OldPrefix string.
+# all TS to last PeriodDateEnd value, give by run.card->Configuration->(PeriodDateBegin - 1).
 
 #D- Path to libIGCM
@@ -103,14 +103,13 @@
 
 if [ -f ${CARD_DIR}/run.card ] ; then
-  IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration OldPrefix
   IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration PeriodState
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration PeriodDateBegin
   IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card PostProcessing TimeSeriesCompleted
   IGCM_debug_Print 1 "DefineVariableFromOption  : run_Configuration"
-  IGCM_debug_PrintVariables 3 run_Configuration_OldPrefix
   IGCM_debug_PrintVariables 3 run_Configuration_PeriodState
   IGCM_debug_Print 1 "DefineVariableFromOption  : run_PostProcessing"
   IGCM_debug_PrintVariables 3 run_PostProcessing_TimeSeriesCompleted
   if [ X${run_Configuration_PeriodState} != X"Completed" ] ; then
-    DateEnd=$( IGCM_date_ConvertFormatToGregorian $( echo ${run_Configuration_OldPrefix} | awk -F'_' '{print $2}' ) )
+    DateEnd=$( IGCM_date_AddDaysToGregorianDate $( IGCM_date_ConvertFormatToGregorian ${PeriodDateBegin} ) -1 )
   else
     DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
Index: /trunk/libIGCM/AA_clean_month
===================================================================
--- /trunk/libIGCM/AA_clean_month	(revision 1027)
+++ /trunk/libIGCM/AA_clean_month	(revision 1028)
@@ -90,5 +90,4 @@
   #===================================#
   IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
-  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration OldPrefix
   IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateBegin
   IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateEnd
Index: /trunk/libIGCM/AA_clean_year
===================================================================
--- /trunk/libIGCM/AA_clean_year	(revision 1027)
+++ /trunk/libIGCM/AA_clean_year	(revision 1028)
@@ -92,5 +92,4 @@
 #===================================#
 IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
-IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration OldPrefix
 IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateBegin
 IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateEnd
@@ -247,10 +246,9 @@
   printf "${Green}Your run.card and Job_${config_UserChoices_JobName} will now be updated\n"
   printf " - PeriodState = OnQueue ;\n"
-  printf " - PeriodDateBegin, PeriodDateEnd, CumulPeriod and OldPrefix ;\n"
-  printf "   %-10s       %-10s          %6i     %s\n" \
+  printf " - PeriodDateBegin, PeriodDateEnd and CumulPeriod ;\n"
+  printf "   %-10s       %-10s          %6i\n" \
          $( IGCM_date_HumanDigit ${PeriodDateBegin} ) \
          $( IGCM_date_HumanDigit ${PeriodDateEnd} ) \
-         ${NewCumulPeriod} \
-         ${config_UserChoices_JobName}_${PreviousPeriodDateEnd}
+         ${NewCumulPeriod}
   printf " - ScriptOutput = %s" \
          "Script_Output_${config_UserChoices_JobName}.${Suffix}"
@@ -272,6 +270,4 @@
         IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodDateEnd \
                               $( IGCM_date_HumanDigit ${PeriodDateEnd} )
-        IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration OldPrefix \
-                              ${config_UserChoices_JobName}_${PreviousPeriodDateEnd}
         #Â Update job
         cp Job_${config_UserChoices_JobName} Job_${config_UserChoices_JobName}.old
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 1027)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 1028)
@@ -182,8 +182,8 @@
 
 if [ -f ${SUBMIT_DIR}/run.card ] ; then
-  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration OldPrefix
-  IGCM_debug_PrintVariables 2 run_Configuration_OldPrefix
+  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateBegin
+  IGCM_debug_PrintVariables 2 run_Configuration_PeriodDateBegin
   if [ X${old_run_Configuration_PeriodState} != X"Completed" ] ; then
-    DateEnd=$( IGCM_date_ConvertFormatToGregorian $( echo ${run_Configuration_OldPrefix} | awk -F'_' '{print $2}' ) )
+    DateEnd=$( IGCM_date_AddDaysToGregorianDate $( IGCM_date_ConvertFormatToGregorian ${PeriodDateBegin} ) -1 )
   else
     DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1027)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1028)
@@ -816,5 +816,5 @@
           eval file_out=${file_out_}
 
-          file_in_Name=${run_Configuration_OldPrefix}_${file_in}
+          file_in_Name=${config_UserChoices_JobName}_${LastPeriodDateEnd}_${file_in}
 
           extension_in=$( echo ${file_in_Name##*.} )
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1027)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1028)
@@ -611,5 +611,4 @@
     #===================================#
 
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration OldPrefix
     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateBegin
     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodDateEnd
@@ -620,5 +619,5 @@
     CumulPeriod=${run_Configuration_CumulPeriod}
 
-    LastPeriodDateEnd=$( echo ${run_Configuration_OldPrefix} | sed -e "s/${config_UserChoices_JobName}_//" )
+    LastPeriodDateEnd=$( IGCM_date_AddDaysToGregorianDate $( IGCM_date_ConvertFormatToGregorian ${PeriodDateBegin} ) -1 )
 
     if [ ${Period} = 1 ]; then
@@ -660,7 +659,4 @@
     IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodState "Running"
   fi
-
-  # Save for futur use
-  OldPrefix=${config_UserChoices_JobName}_${PeriodDateEnd}
 
   # BEGIN: SHOULD GO IN A FUNCTION FROM libIGCM_date.ksh
@@ -1228,5 +1224,4 @@
   #=================================================#
 
-  IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration OldPrefix ${OldPrefix}
   IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodDateBegin ${PeriodDateBegin}
   IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodDateEnd ${PeriodDateEnd}
Index: /trunk/libIGCM/run.card.init
===================================================================
--- /trunk/libIGCM/run.card.init	(revision 1027)
+++ /trunk/libIGCM/run.card.init	(revision 1028)
@@ -7,6 +7,4 @@
 #========================================================================
 [Configuration]
-#last PREFIX
-OldPrefix=
 #Compute date of loop
 PeriodDateBegin=