Index: trunk/libIGCM/AA_clean_month
===================================================================
--- trunk/libIGCM/AA_clean_month	(revision 1030)
+++ trunk/libIGCM/AA_clean_month	(revision 1031)
@@ -111,9 +111,5 @@
   CountRebuildDir=0
   if [ X${config_Post_RebuildFrequency} != X ] ; then
-    if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-      set +A RebuildDir -- $( IGCM_sys_RshArchive "find ${REBUILD_DIR} -type d -name \"*${PeriodDateBegin}*\" " )
-    else
-      set +A RebuildDir -- $( find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" )
-    fi
+    set +A RebuildDir -- $( find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" )
     CountRebuildDir=${#RebuildDir[@]}
   fi
@@ -161,9 +157,5 @@
       oui|OUI|o|y|yes|YES)
         echo "OK. It will be erased."
-        if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-          IGCM_sys_RshArchive "find ${REBUILD_DIR} -type d -name \"*${PeriodDateBegin}*\" -exec rm -Rf '{}' \;"
-        else
-          find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" -exec rm -Rf '{}' \;
-        fi
+        find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" -exec rm -Rf '{}' \;
         echo "done."
         ;;
Index: trunk/libIGCM/AA_clean_year
===================================================================
--- trunk/libIGCM/AA_clean_year	(revision 1030)
+++ trunk/libIGCM/AA_clean_year	(revision 1031)
@@ -147,9 +147,5 @@
     echo "Search directories with ${PeriodDateBegin} in REBUILD_DIR"
     unset RebuildDir
-    if [ X${config_Post_RebuildFromArchive} == Xtrue ] ; then
-      set +A RebuildDir -- $( IGCM_sys_RshArchive "find ${REBUILD_DIR} -type d -name \"*${PeriodDateBegin}*\" " )
-    else
-      set +A RebuildDir -- $( find ${REBUILD_DIR} -type d -name  "*${PeriodDateBegin}*" )
-    fi
+    set +A RebuildDir -- $( find ${REBUILD_DIR} -type d -name  "*${PeriodDateBegin}*" )
     CountRebuildDir=${#RebuildDir[@]}
   fi
@@ -200,10 +196,6 @@
 
       oui|OUI|o|y|yes|YES)
-        echo "OK. It will be erased."
-        if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-          IGCM_sys_RshArchive "find ${REBUILD_DIR} -type d -name \"*${PeriodDateBegin}*\" -exec rm -Rf '{}' \;"
-        else
-          find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" -exec rm -Rf '{}' \;
-        fi
+        echo "OK. It will be erased."        
+        find ${REBUILD_DIR} -type d -name "*${PeriodDateBegin}*" -exec rm -Rf '{}' \;
         echo "done."
         ;;
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 1030)
+++ trunk/libIGCM/AA_create_multi_se	(revision 1031)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 1030)
+++ trunk/libIGCM/AA_create_se	(revision 1031)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 1030)
+++ trunk/libIGCM/AA_create_ts	(revision 1031)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/AA_move-and-rename
===================================================================
--- trunk/libIGCM/AA_move-and-rename	(revision 1030)
+++ trunk/libIGCM/AA_move-and-rename	(revision 1031)
@@ -231,12 +231,7 @@
 
 # Define NEW_REBUILD_DIR
-if [ -d ${REBUILD_DIR} ] ; then
-  if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-    NEW_REBUILD_DIR=${NEW_R_SAVE}/TMP
-    IGCM_sys_MkdirArchive ${NEW_REBUILD_DIR}
-  else
-    NEW_REBUILD_DIR=${BIG_DIR}/${config_UserChoices_TagName}/${NEW_JobName}
-    IGCM_sys_MkdirWork ${NEW_REBUILD_DIR}
-  fi
+if [ -d ${REBUILD_DIR} ] ; then  
+  NEW_REBUILD_DIR=${BIG_DIR}/${config_UserChoices_TagName}/${NEW_JobName}
+  IGCM_sys_MkdirWork ${NEW_REBUILD_DIR}
 fi
 
@@ -472,9 +467,5 @@
     rebdir=$( basename ${ThisREBDir} )
     IGCM_debug_Print 2 "${rebdir}."
-    if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-      IGCM_sys_MkdirArchive ${NEW_REBUILD_DIR}/${rebdir}
-    else
-      IGCM_sys_MkdirWork ${NEW_REBUILD_DIR}/${rebdir}
-    fi
+    IGCM_sys_MkdirWork ${NEW_REBUILD_DIR}/${rebdir}
     REPLACE_sed ${REBUILD_DIR}/${rebdir}/rebuild.ksh ${NEW_REBUILD_DIR}/${rebdir}
     IGCM_sys_Mv -f ${REBUILD_DIR}/${rebdir}/* ${NEW_REBUILD_DIR}/${rebdir}/
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1030)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1031)
@@ -30,5 +30,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
@@ -84,13 +84,7 @@
 MASTER=${MASTER:=ada|curie}
 
-#D- Do we rebuild parallel output from archive or from ${BIGDIR}
-#D- Default : value from AA_job if any
-RebuildFromArchive=${RebuildFromArchive:=false}
-
 #D- Directory where files we need to rebuild are store
 #D- Default : value from AA_job if any
-#D- if RebuildFromArchive=true REBUILD_DIR=${DMFDIR}/IGCM_OUT/.../JobName/TMP
-#D- example : /dmnfs09/cont003/p86denv/IGCM_OUT/IPSLCM5/CM5PIRC7/TMP
-#D- if RebuildFromArchive=false REBUILD_DIR=${BIGDIR}/REBUILD/TagName/JobName/
+#D- REBUILD_DIR=${BIGDIR}/REBUILD/TagName/JobName/
 #D- example : /scratch/cont003/p86denv/REBUILD/IPSLCM5/SCAL-NEW
 REBUILD_DIR=${REBUILD_DIR:=/path/to/your/TMP/REBUILD/FILES}
@@ -169,20 +163,11 @@
 # ------------------------------------------------------------------
 IGCM_debug_Verif_Exit_Post
-
 #
-if [ ${RebuildFromArchive} = true ] ; then
-  ListAllRebuildDir=$( IGCM_sys_RshArchive ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${LastPeriodForRebuild} )
-else
-  ListAllRebuildDir=$( IGCM_sys_RshMaster ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${LastPeriodForRebuild} )
-fi
+ListAllRebuildDir=$( IGCM_sys_RshMaster ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${LastPeriodForRebuild} )
 #
 
 for directory in ${ListAllRebuildDir} ; do
   #
-  if [ ${RebuildFromArchive} = true ] ; then
-    IGCM_sys_Get_Dir ${directory} ${RUN_DIR}
-  else
-    IGCM_sys_Get_Master ${directory} ${RUN_DIR}
-  fi
+  IGCM_sys_Get_Master ${directory} ${RUN_DIR}
   #
   IGCM_sys_Cd ${RUN_DIR}/$( basename ${directory} )
@@ -199,9 +184,5 @@
   IGCM_sys_Rm -rf $( basename ${directory} )
   # remote clean up
-  if [ ${RebuildFromArchive} = true ] ; then
-    IGCM_sys_RshArchive rm -rf ${directory}
-  else
-    IGCM_sys_RshMaster rm -rf ${directory}
-  fi
+  IGCM_sys_RshMaster rm -rf ${directory}
 done
 
Index: trunk/libIGCM/libIGCM_check/libIGCM_check.ksh
===================================================================
--- trunk/libIGCM/libIGCM_check/libIGCM_check.ksh	(revision 1030)
+++ trunk/libIGCM/libIGCM_check/libIGCM_check.ksh	(revision 1031)
@@ -39,13 +39,7 @@
   # What kind of rebuild ?
   # ----------------------
-  if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-    RebuildJob="rebuild_fromArchive"
-    IGCM_sys_TestDirArchive ${REBUILD_DIR}
-    RebuildExists=$?
-  else
-    RebuildJob="rebuild_fromWorkdir"
-    IGCM_sys_TestDir ${REBUILD_DIR}
-    RebuildExists=$?
-  fi
+  RebuildJob="rebuild_fromWorkdir"
+  IGCM_sys_TestDir ${REBUILD_DIR}
+  RebuildExists=$?
 
   # Are packs activated or not ?
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1030)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1031)
@@ -78,7 +78,4 @@
   #
   if [ X${PackDefault} = Xtrue ] ; then
-    # If we DO apply pack in this computing center
-    IGCM_debug_Print 1 "Due to inodes policy OVERRULE RebuildFromArchive value to NONE"
-    config_Post_RebuildFromArchive=NONE
     if [ X${config_UserChoices_SpaceName} = XTEST ]; then
       # TEST simulations will not be packed and will stay on SCRATCHDIR filesystem
@@ -128,15 +125,8 @@
 
   #====================================================
-  # Define REBUILD_DIR : where we store files needing rebuild process
-  if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-    REBUILD_DIR=${R_SAVE}/REBUILD
-    if [ ! X${TaskType} = Xchecking ] ; then
-      IGCM_sys_MkdirArchive ${REBUILD_DIR}
-    fi
-  else
-    REBUILD_DIR=${R_BUFR}/REBUILD
-    if [ ! X${TaskType} = Xchecking ] ; then
-      IGCM_sys_MkdirWork ${REBUILD_DIR}
-    fi
+  # Define REBUILD_DIR : where we store files needing rebuild process  
+  REBUILD_DIR=${R_BUFR}/REBUILD
+  if [ ! X${TaskType} = Xchecking ] ; then
+    IGCM_sys_MkdirWork ${REBUILD_DIR}
   fi
 
Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1030)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1031)
@@ -589,24 +589,15 @@
       echo "}                                         " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
     fi
-    if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-      IGCM_sys_Put_Dir REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
-    else
-      IGCM_sys_Mv      REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
-    fi
+    IGCM_sys_Mv      REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
   fi
   #
   if [ ${RebuildFrequency} = true ] ; then
-    if ( [ X${config_Post_RebuildFromArchive} = Xtrue ] ) ; then
-      IGCM_debug_Print 1 "REBUILD POST-PROCESSING FROM ARCHIVE"
-      echo
-    else
-      IGCM_debug_Print 1 "REBUILD POST-PROCESSING FROM WORKDIR"
-      echo
-    fi
+    IGCM_debug_Print 1 "REBUILD POST-PROCESSING FROM WORKDIR"
+    echo
     script=rebuild_fromWorkdir
     #
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,RebuildFromArchive,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
@@ -618,5 +609,4 @@
       export POST_DIR=${POST_DIR}
       export MASTER=${MASTER}
-      export RebuildFromArchive=${config_Post_RebuildFromArchive}
       export DateBegin=${DateBegin}
       export PeriodDateBegin=${PeriodDateBegin}
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1030)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1031)
@@ -31,7 +31,4 @@
 # only MAIL working at present due to firewall constraint
 BigBrotherChannel=MAIL
-
-# variable that must have lower case value.
-typeset -l config_Post_RebuildFromArchive
 
 # no need to be so verbose in checking mode