Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1055)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1056)
@@ -1219,5 +1219,5 @@
       code=1100
       # RabbitMQ message body
-      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
       # Fill the rabbitMQ queue
       IGCM_debug_sendAMQP
@@ -1242,5 +1242,5 @@
         code=0100
         # RabbitMQ message body
-        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
         # Fill the rabbitMQ queue
         IGCM_debug_sendAMQP
Index: trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1055)
+++ trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1056)
@@ -318,5 +318,5 @@
       code=2000
       # RabbitMQ message body
-      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
       # Fill the rabbitMQ queue
       IGCM_debug_sendAMQP
@@ -513,5 +513,5 @@
         code=9000
         # RabbitMQ message body
-        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
         # Fill the rabbitMQ queue
         IGCM_debug_sendAMQP
@@ -524,5 +524,5 @@
         code=3000
         # RabbitMQ message body
-        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"nesting\":\"${IGCM_debug_LenStack}\",\"command\":\"${INPUTS[*]}\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
         # Fill the rabbitMQ queue
         IGCM_debug_sendAMQP
@@ -584,5 +584,5 @@
 
     # RabbitMQ message body with specific fields associated message codes treated here
-    Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+    Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
     # Fill the rabbitMQ queue (specifying config.card must be send)
     IGCM_debug_sendAMQP activate
@@ -632,5 +632,5 @@
       code=9999
       # RabbitMQ message body
-      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
       # Fill the rabbitMQ queue
       IGCM_debug_sendAMQP
@@ -786,5 +786,5 @@
   if [ X${ActivateBigBro} = Xtrue ] ; then
     # RabbitMQ message body
-    Body=$( echo "{${genericSimulationID},${instrumentationContent},\"msgCode\":\"7000\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%d-%T-%N" )\"}" )
+    Body=$( echo "{${genericSimulationID},${instrumentationContent},\"msgCode\":\"7000\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
     # Fill the rabbitMQ queue
     IGCM_debug_sendAMQP
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1055)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1056)
@@ -1975,4 +1975,5 @@
   #  0  118 110.0000000000000   87.46478873239437
   #  1  40  4.999999999999995   51.97183098591550
+
 #  typeset iStation iProc list_opt file_in file_out prefix_invert
 #  typeset -Z4 j4