Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1062)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1063)
@@ -170,9 +170,9 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${config_UserChoices_ARCHIVE}
+    ARCHIVE=${config_UserChoices_ARCHIVE}
   else
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=$(echo ${HOME} | sed -e "s,/.*home/,/arch/home/,")
+    ARCHIVE=$(echo ${HOME} | sed -e "s,/.*home/,/arch/home/,")
   fi
 
@@ -180,9 +180,9 @@
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${config_UserChoices_STORAGE}
+    STORAGE=${config_UserChoices_STORAGE}
   else
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${WORKDIR}
+    STORAGE=${WORKDIR}
   fi
 
@@ -190,9 +190,9 @@
     #====================================================
     #- R_OUT
-    typeset R_OUT=${WORKDIR}/IGCM_OUT
+    R_OUT=${WORKDIR}/IGCM_OUT
 
     #====================================================
     #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-    typeset R_FIG=${WORKDIR}/IGCM_OUT
+    R_FIG=${WORKDIR}/IGCM_OUT
 
     IGCM_debug_Print 1 "SpaceName=TEST ==> OVERRULE destination path directories"
@@ -201,14 +201,14 @@
     #====================================================
     #- R_OUT
-    typeset R_OUT=${ARCHIVE}/IGCM_OUT
+    R_OUT=${ARCHIVE}/IGCM_OUT
 
     #====================================================
     #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-    typeset R_FIG=${ARCHIVE}/IGCM_OUT
+    R_FIG=${ARCHIVE}/IGCM_OUT
   fi
 
   #====================================================
   #- R_BUF (ONLY FOR double copy an scratch)
-  typeset -r R_BUF=${WORKDIR}/IGCM_OUT
+  R_BUF=${WORKDIR}/IGCM_OUT
 
   IGCM_debug_Print 1 "R_OUT has been defined = ${R_OUT}"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1062)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1063)
@@ -204,9 +204,9 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${config_UserChoices_ARCHIVE}
+    ARCHIVE=${config_UserChoices_ARCHIVE}
   else
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${CCCSTOREDIR}
+    ARCHIVE=${CCCSTOREDIR}
   fi
 
@@ -214,9 +214,9 @@
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${config_UserChoices_STORAGE}
+    STORAGE=${config_UserChoices_STORAGE}
   else
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${CCCWORKDIR}
+    STORAGE=${CCCWORKDIR}
   fi
 
@@ -224,9 +224,9 @@
     #====================================================
     #- R_OUT
-    typeset R_OUT=${SCRATCHDIR}/IGCM_OUT
+    R_OUT=${SCRATCHDIR}/IGCM_OUT
 
     #====================================================
     #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-    typeset R_FIG=${SCRATCHDIR}/IGCM_OUT
+    R_FIG=${SCRATCHDIR}/IGCM_OUT
 
     IGCM_debug_Print 1 "SpaceName=TEST ==> OVERRULE destination path directories"
@@ -235,14 +235,14 @@
     #====================================================
     #- R_OUT
-    typeset R_OUT=${ARCHIVE}/IGCM_OUT
+    R_OUT=${ARCHIVE}/IGCM_OUT
 
     #====================================================
     #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-    typeset R_FIG=${STORAGE}/IGCM_OUT
+    R_FIG=${STORAGE}/IGCM_OUT
   fi
 
   #====================================================
   #- R_BUF (ONLY FOR double copy an scratch)
-  typeset -r R_BUF=${SCRATCHDIR}/IGCM_OUT
+  R_BUF=${SCRATCHDIR}/IGCM_OUT
 
   IGCM_debug_Print 1 "R_OUT has been defined = ${R_OUT}"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1062)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1063)
@@ -158,9 +158,9 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${config_UserChoices_ARCHIVE}
+    ARCHIVE=${config_UserChoices_ARCHIVE}
   else
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${ARCHIVE:=/home/${LOGIN}}
+    ARCHIVE=${ARCHIVE:=/home/${LOGIN}}
   fi
 
@@ -168,9 +168,9 @@
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${config_UserChoices_STORAGE}
+    STORAGE=${config_UserChoices_STORAGE}
   else
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${ARCHIVE}
+    STORAGE=${ARCHIVE}
   fi
 
@@ -179,13 +179,13 @@
   #====================================================
   #- R_OUT
-  typeset R_OUT=${ARCHIVE}/IGCM_OUT
+  R_OUT=${ARCHIVE}/IGCM_OUT
 
   #====================================================
   #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-  typeset R_FIG=${STORAGE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
 
   #====================================================
   #- R_BUF (ONLY FOR double copy an scratch)
-  typeset -r R_BUF=${STORAGE}/IGCM_OUT
+  R_BUF=${STORAGE}/IGCM_OUT
 
   IGCM_debug_Print 1 "R_OUT has been defined = ${R_OUT}"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1062)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1063)
@@ -166,9 +166,9 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${config_UserChoices_ARCHIVE}
+    ARCHIVE=${config_UserChoices_ARCHIVE}
   else
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=$( echo ${HOME} | sed -e "s/gpfs1/gpfs3/" )
+    ARCHIVE=$( echo ${HOME} | sed -e "s/gpfs1/gpfs3/" )
   fi
 
@@ -176,9 +176,9 @@
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${config_UserChoices_STORAGE}
+    STORAGE=${config_UserChoices_STORAGE}
   else
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${ARCHIVE}
+    STORAGE=${ARCHIVE}
   fi
 
@@ -187,13 +187,13 @@
   #====================================================
   #- R_OUT
-  typeset R_OUT=${ARCHIVE}/IGCM_OUT
+  R_OUT=${ARCHIVE}/IGCM_OUT
 
   #====================================================
   #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-  typeset R_FIG=${WORKDIR}/IGCM_OUT
+  R_FIG=${WORKDIR}/IGCM_OUT
 
   #====================================================
   #- R_BUF (ONLY FOR double copy an scratch)
-  typeset -r R_BUF=${WORKDIR}/IGCM_OUT
+  R_BUF=${WORKDIR}/IGCM_OUT
 
   IGCM_debug_Print 1 "R_OUT has been defined = ${R_OUT}"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1062)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1063)
@@ -168,9 +168,9 @@
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${config_UserChoices_ARCHIVE}
+    ARCHIVE=${config_UserChoices_ARCHIVE}
   else
     #====================================================
     #- ARCHIVE (dedicated to large files)
-    typeset ARCHIVE=${ARCHIVE:=/home/scratch01/${LOGIN}}
+    ARCHIVE=${ARCHIVE:=/home/scratch01/${LOGIN}}
   fi
 
@@ -178,9 +178,9 @@
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${config_UserChoices_STORAGE}
+    STORAGE=${config_UserChoices_STORAGE}
   else
     #====================================================
     #- STORAGE (dedicated to small/medium files)
-    typeset STORAGE=${ARCHIVE}
+    STORAGE=${ARCHIVE}
   fi
 
@@ -189,13 +189,13 @@
   #====================================================
   #- R_OUT
-  typeset R_OUT=${ARCHIVE}/IGCM_OUT
+  R_OUT=${ARCHIVE}/IGCM_OUT
 
   #====================================================
   #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-  typeset R_FIG=${STORAGE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
 
   #====================================================
   #- R_BUF (ONLY FOR double copy an scratch)
-  typeset -r R_BUF=${STORAGE}/IGCM_OUT
+  R_BUF=${STORAGE}/IGCM_OUT
 
   IGCM_debug_Print 1 "R_OUT has been defined = ${R_OUT}"