Index: trunk/libIGCM/libIGCM_card/libIGCM_card.ksh
===================================================================
--- trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 1076)
+++ trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 1077)
@@ -14,8 +14,8 @@
 #==================================================
 # The documentation of this file can be automatically generated
-# if you use the prefix #D- for comments to be extracted. 
+# if you use the prefix #D- for comments to be extracted.
 # Extract with command: cat lib* | grep "^#D-" | cut -c "4-"
 #==================================================
- 
+
 #D-#==================================================================
 #D-libIGCM_card
@@ -29,13 +29,13 @@
 #D-Option2= "Hello Mars"
 #D-
-#D-# My comments 
+#D-# My comments
 #D-[Recipes]
-#D-Cake= "file1.doc" 
-#D-Starter= "file2.doc" 
+#D-Cake= "file1.doc"
+#D-Starter= "file2.doc"
 #D-
 #D-[ColorValues]
 #D-Red= 120
-#D-Blue= 230 
-#D-Green= 178 
+#D-Blue= 230
+#D-Green= 178
 #D-
 #D-[Couples]
@@ -211,5 +211,5 @@
       \rm ${tmpfile}
 
-      # The tmpfile uses now the real path of the card to be modified, 
+      # The tmpfile uses now the real path of the card to be modified,
       # not just a local tmpfile with PID.
       tmpfile=$1_mutex_$$
@@ -241,5 +241,5 @@
     set +A tmpfiles -- $( ls $1_mutex_[0-9]* 2>/dev/null )
     ((isleep=0))
-    while [ ${#tmpfiles[@]} -gt 0 ] ; do 
+    while [ ${#tmpfiles[@]} -gt 0 ] ; do
       echo "Conflict between two processes working on " $1 "!!!" ${tmpfiles[@]}
       sleep 1
@@ -294,5 +294,5 @@
 function IGCM_card_Check
 {
-    IGCM_debug_PushStack "IGCM_card_Check" 
+    IGCM_debug_PushStack "IGCM_card_Check"
 #---------------------
     if [ ! -n "${libIGCM}" ] ; then
@@ -314,8 +314,8 @@
     sleep 2
 
-    if diff /tmp/IGCM_card_Test.$$.ref.failed ${libIGCM}/libIGCM_card/IGCM_card_Test.ref > /dev/null 2>&1 ; then 
+    if diff /tmp/IGCM_card_Test.$$.ref.failed ${libIGCM}/libIGCM_card/IGCM_card_Test.ref > /dev/null 2>&1 ; then
       echo "Check libIGCM_card ...............................................[ OK ]"
       rm -f /tmp/IGCM_card_Test.$$.ref.failed
-    else 
+    else
       echo "Check libIGCM_card ...........................................[ FAILED ]"
       echo "--Error--> Execution of ${libIGCM}/libIGCM_card/IGCM_card_Test.ksh"
@@ -329,4 +329,4 @@
 
 #---------------------
-    IGCM_debug_PopStack "IGCM_card_Check" 
-}
+    IGCM_debug_PopStack "IGCM_card_Check"
+}
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1076)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1077)
@@ -131,5 +131,5 @@
 
   #====================================================
-  # Define REBUILD_DIR : where we store files needing rebuild process  
+  # Define REBUILD_DIR : where we store files needing rebuild process
   REBUILD_DIR=${R_BUFR}/REBUILD
   if [ ! X${TaskType} = Xchecking ] ; then
Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1076)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1077)
@@ -459,5 +459,5 @@
     # -----------------------------------------------------------------------------------
     # Function IGCM_FlushPost called by pack_output.job has not been closed yet. Do it now
-    # Will submit Time Series OR Seasonal Average if needed 
+    # Will submit Time Series OR Seasonal Average if needed
     # -----------------------------------------------------------------------------------
     if [ -f ${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh ] ; then
@@ -728,5 +728,5 @@
       PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
       if ( [ ${PeriodSlaveMonth} -gt ${PeriodMasterMonth} ] || \
-        [ $(( ${PeriodMasterMonth} % ${PeriodSlaveMonth} )) -ne 0 ] ) ;  then         
+        [ $(( ${PeriodMasterMonth} % ${PeriodSlaveMonth} )) -ne 0 ] ) ;  then
         IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
         IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
@@ -778,5 +778,5 @@
 
   # Used by IGCM_post_Configure
-  # - from libIGCM (config_UserChoices_PeriodLength frequency * CumulPeriod) and 
+  # - from libIGCM (config_UserChoices_PeriodLength frequency * CumulPeriod) and
   # - post-processing compatible frequency (*Y, *M, *D, *y, *m, *d)
   # --> turn on post-processing submission when their modulo is zero
@@ -841,5 +841,5 @@
       PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
       if [ $(( ( ${CumulPeriod} * ${PeriodSlaveMonth} - ${PeriodOffset} ) % ${PeriodMasterMonth} )) -eq 0 ] ;  then
-        if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} -  ${PeriodOffset} )) -ne 0 ] ; then 
+        if [ $(( ${CumulPeriod} * ${PeriodSlaveMonth} -  ${PeriodOffset} )) -ne 0 ] ; then
           eval ${post_freq}=true ; POST=true
           [ X${3} = XNbPeriodPerFrequency ] && NbPeriodPerFrequency=$(( ${PeriodMasterMonth} / ${PeriodSlaveMonth} ))