Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1090)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1091)
@@ -2737,5 +2737,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1090)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1091)
@@ -2615,5 +2615,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 --nocoords "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2699,5 +2699,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2741,5 +2741,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2783,5 +2783,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2825,5 +2825,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2867,5 +2867,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2909,5 +2909,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2951,5 +2951,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2993,5 +2993,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -3035,5 +3035,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -3129,5 +3129,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1090)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1091)
@@ -1970,5 +1970,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 --nocoords "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2054,5 +2054,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2096,5 +2096,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2138,5 +2138,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2180,5 +2180,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2222,5 +2222,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2264,5 +2264,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2306,5 +2306,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2348,5 +2348,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2390,5 +2390,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2484,5 +2484,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1090)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1091)
@@ -1918,5 +1918,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 --nocoords "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2002,5 +2002,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2044,5 +2044,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2086,5 +2086,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2128,5 +2128,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2170,5 +2170,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2212,5 +2212,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2254,5 +2254,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2296,5 +2296,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2338,5 +2338,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2432,5 +2432,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1090)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1091)
@@ -1998,5 +1998,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 --nocoords "$@" > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncap2 -C "$@" > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2082,5 +2082,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncbo -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2124,5 +2124,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncdiff -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2166,5 +2166,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncea -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2208,5 +2208,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncecat -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2250,5 +2250,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncflint -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2292,5 +2292,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncks -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2334,5 +2334,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncpdq -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2376,5 +2376,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncra -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2418,5 +2418,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncrcat -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2512,5 +2512,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa --nocoords $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
+    ncwa -C $@ > /tmp/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then