Index: trunk/libIGCM/AA_pack_debug
===================================================================
--- trunk/libIGCM/AA_pack_debug	(revision 1099)
+++ trunk/libIGCM/AA_pack_debug	(revision 1101)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 1099)
+++ trunk/libIGCM/AA_pack_output	(revision 1101)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 1099)
+++ trunk/libIGCM/AA_pack_restart	(revision 1101)
@@ -26,5 +26,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1099)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1101)
@@ -2248,5 +2248,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 --nocoords "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2332,5 +2332,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2374,5 +2374,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2416,5 +2416,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2458,5 +2458,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2500,5 +2500,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2542,5 +2542,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2584,5 +2584,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2626,5 +2626,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
@@ -2668,5 +2668,5 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat --nocoords $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then